package cfg

import (
	"cicv-data-closedloop/pji/common/cfg"
	"cicv-data-closedloop/pji/common/log"
	"net/rpc"
	"os"
)

var KillRpcClient *rpc.Client

func InitRpcClient() {
	var err error
	KillRpcClient, err = rpc.Dial("tcp", cfg.CloudConfig.Hosts[0].Ip+":"+cfg.CloudConfig.RpcPort)
	if err != nil {
		log.GlobalLogger.Error("创建rpc连接master失败，程序退出：", err)
		os.Exit(-1)
	}
}
